Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class PropertyTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.PropertyTO

All Implemented Interfaces:
  Serializable

public class PropertyTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`PropertyTO()`
`PropertyTO(String claimType, PropertyTO[] complexValue, String inputMask, String name, String[] optionalValues, String pattern, int type, String[] value, String valueType, boolean visible)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getClaimType()` Gets the claimType value for this PropertyTO.
`PropertyTO[]` | `getComplexValue()` Gets the complexValue value for this PropertyTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getInputMask()` Gets the inputMask value for this PropertyTO.
`String` | `getName()` Gets the name value for this PropertyTO.
`String[]` | `getOptionalValues()` Gets the optionalValues value for this PropertyTO.
`String` | `getPattern()` Gets the pattern value for this PropertyTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`int` | `getType()` Gets the type value for this PropertyTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String[]` | `getValue()` Gets the value value for this PropertyTO.
`String` | `getValueType()` Gets the valueType value for this PropertyTO.
`int` | `hashCode()`
`boolean` | `isVisible()` Gets the visible value for this PropertyTO.
`void` | `setClaimType(String claimType)` Sets the claimType value for this PropertyTO.
`void` | `setComplexValue(PropertyTO[] complexValue)` Sets the complexValue value for this PropertyTO.
`void` | `setInputMask(String inputMask)` Sets the inputMask value for this PropertyTO.
`void` | `setName(String name)` Sets the name value for this PropertyTO.
`void` | `setOptionalValues(String[] optionalValues)` Sets the optionalValues value for this PropertyTO.
`void` | `setPattern(String pattern)` Sets the pattern value for this PropertyTO.
`void` | `setType(int type)` Sets the type value for this PropertyTO.
`void` | `setValue(String[] value)` Sets the value value for this PropertyTO.
`void` | `setValueType(String valueType)` Sets the valueType value for this PropertyTO.
`void` | `setVisible(boolean visible)` Sets the visible value for this PropertyTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTO

    public PropertyTO()

### PropertyTO

    public PropertyTO(String claimType,
                      PropertyTO[] complexValue,
                      String inputMask,
                      String name,
                      String[] optionalValues,
                      String pattern,
                      int type,
                      String[] value,
                      String valueType,
                      boolean visible)

Method Detail

### getClaimType

    public String getClaimType()

  Gets the claimType value for this PropertyTO.

  Returns:
    claimType

### setClaimType

    public void setClaimType(String claimType)

  Sets the claimType value for this PropertyTO.

  Parameters:
    `claimType` -

### getComplexValue

    public PropertyTO[] getComplexValue()

  Gets the complexValue value for this PropertyTO.

  Returns:
    complexValue

### setComplexValue

    public void setComplexValue(PropertyTO[] complexValue)

  Sets the complexValue value for this PropertyTO.

  Parameters:
    `complexValue` -

### getInputMask

    public String getInputMask()

  Gets the inputMask value for this PropertyTO.

  Returns:
    inputMask

### setInputMask

    public void setInputMask(String inputMask)

  Sets the inputMask value for this PropertyTO.

  Parameters:
    `inputMask` -

### getName

    public String getName()

  Gets the name value for this PropertyTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this PropertyTO.

  Parameters:
    `name` -

### getOptionalValues

    public String[] getOptionalValues()

  Gets the optionalValues value for this PropertyTO.

  Returns:
    optionalValues

### setOptionalValues

    public void setOptionalValues(String[] optionalValues)

  Sets the optionalValues value for this PropertyTO.

  Parameters:
    `optionalValues` -

### getPattern

    public String getPattern()

  Gets the pattern value for this PropertyTO.

  Returns:
    pattern

### setPattern

    public void setPattern(String pattern)

  Sets the pattern value for this PropertyTO.

  Parameters:
    `pattern` -

### getType

    public int getType()

  Gets the type value for this PropertyTO.

  Returns:
    type

### setType

    public void setType(int type)

  Sets the type value for this PropertyTO.

  Parameters:
    `type` -

### getValue

    public String[] getValue()

  Gets the value value for this PropertyTO.

  Returns:
    value

### setValue

    public void setValue(String[] value)

  Sets the value value for this PropertyTO.

  Parameters:
    `value` -

### getValueType

    public String getValueType()

  Gets the valueType value for this PropertyTO.

  Returns:
    valueType

### setValueType

    public void setValueType(String valueType)

  Sets the valueType value for this PropertyTO.

  Parameters:
    `valueType` -

### isVisible

    public boolean isVisible()

  Gets the visible value for this PropertyTO.

  Returns:
    visible

### setVisible

    public void setVisible(boolean visible)

  Sets the visible value for this PropertyTO.

  Parameters:
    `visible` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD